
#ifndef UINAVLIST_H
#define UINAVLIST_H

#include <qvariant.h>
#include <qwidget.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QListBox;
class QListBoxItem;
class QPushButton;

class UINavList : public QWidget
{
    Q_OBJECT

public:
    UINavList( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~UINavList();
protected slots:
    virtual void moveUp();
    virtual void moveDown();

protected:
    QVBoxLayout* UINavListLayout;
    QHBoxLayout* layout1;
    QSpacerItem* spacer2;
    QSpacerItem* spacer1;
    QListBox* m_listBox;
    QPushButton* m_buttonUp;
    QPushButton* m_buttonDown;

protected slots:
    virtual void languageChange();

    virtual void onClicked(QListBoxItem*);


};

#endif // UINAVLIST_H
